uniform sampler2D tex0;
uniform float threshold;

void main(void)
{
	vec4 col = texture2D(tex0, gl_TexCoord[0].st);
	float colorGray = .3*col[0] + .59*col[1] + .11*col[2];
	if (colorGray > threshold) {
		col = vec4(1,1,1,1);
	} else {
		col = vec4(0,0,0,0);
	}
	gl_FragColor = col;
}
