uniform sampler2D tex0;
uniform float alpha;
uniform vec2 size;
varying vec3 pos;

void main(void)
{
	vec2 uv = gl_TexCoord[0].st;
	gl_FragColor = alpha * texture2D(tex0,uv) + (1.-alpha) * vec4(pos.x / size.x, pos.y / size.y, .0, 1.);
}
