uniform sampler2D tex0;
uniform vec2 step;

void main(void)
{
	vec4 col = texture2D(tex0, gl_TexCoord[0].st);
	vec2 uv = gl_TexCoord[0].st;
	vec4 op;
	int t;
	float al = col.a;

	for (int i = -3; i <= 3; ++i)
	{
		t = 5 - int(abs(float(i)));
		for (int j = -t; j <= t; ++j)
		{
			op = texture2D(tex0, uv + vec2(float(i) * step.x, float(j) * step.y));
			if (op.r + op.g + op.b > 1.0)
				col += op;
		}
	}

	col /= 30.0;
	col.a = al;
	gl_FragColor = col + gl_Color;
}
